# Tamito KAJIYAMA <4 February 2001>
# NOTE: This file contains Japanese characters (EUC-JP).

from eb import *

def search(func, word, num):
    print "-" * 60
    if func == 0:
        print 'eb_search_exactword',
        assert(eb_search_exactword(book, word) == None)
    elif func == 1:
        print 'eb_search_word',
        assert(eb_search_word(book, word) == None)
    elif func == 2:
        print 'eb_search_endword',
        assert(eb_search_endword(book, word) == None)
    print '"%s"' % word
    print
    buffer = []
    while 1:
        hitlist = eb_hit_list(book)
        if not hitlist:
            break
        buffer.extend(list(hitlist))
    assert(len(buffer) == num)
    for heading, text in buffer:
        eb_seek_text(book, heading)
        print "Heading:", eb_read_heading(book, appendix, hookset, None)
        eb_seek_text(book, text)
        print "Text:", eb_read_text(book, appendix, hookset, None)

eb_initialize_library()

book, appendix, hookset = EB_Book(), EB_Appendix(), EB_Hookset()

assert(eb_bind(book, "ej") == None)
assert(eb_set_subbook(book, 0) == None)

search(0, "love", 2)
search(0, "cute", 1)
search(0, "good", 0)
search(0, "襤餷", 1)
search(0, "İ", 0)
search(1, "love", 4)
search(1, "good", 0)
search(1, "", 3)
search(1, "", 0)
search(2, "ly", 2)
search(2, "tive", 0)
search(2, "", 2)
search(2, "Ǥ", 0)

eb_finalize_library()
